ON INIT {
 SETNAME [description_sabre_mithril]
 SET_MATERIAL WEAPON
 SET_WEAPON_MATERIAL SWORD
 SET_STRIKE_SPEECH [player_strike_medium]
 SET_PRICE 1500
 //SET_DURABILITY 80
 SET_STEAL 50
//SET_THROW_DAMAGE 2
 SETOBJECTTYPE WEAPON
 SETOBJECTTYPE 1H
 SET_GROUP "BLADE"
 SETEQUIP DAMAGES 13
 SETEQUIP armor_class 1
 SETEQUIP aim_time 800
 SETEQUIP CASTING 5%
 SETEQUIP RESIST_MAGIC 5%
 SET poisonable 1
 SET equipped 0
 SET reagent "none"
 ACCEPT
}

ON IDENTIFY {
 IF (identify == 1) ACCEPT 
 SET identify 1 
 SETEQUIP DAMAGES 13
 SETEQUIP armor_class 1
 SETEQUIP aim_time 650
 SETEQUIP CASTING 5%
 SETEQUIP RESIST_MAGIC 5%
 ACCEPT
}

ON INVENTORYUSE {
 IF (^FIGHTING == 1) ACCEPT
 IF (^PLAYER_SKILL_CLOSE_COMBAT < 40) {
  SPEAK -p [player_not_skilled_enough] NOP
  HEROSAY [required_cc_40]
  //COLORISE SELF 1 0 0
  ACCEPT
 }
 //COLORISE SELF 0 0 0
 EQUIP PLAYER
 ACCEPT
}

ON EQUIPIN {
 SET equipped 1
 PLAY "equip_sword"
 ACCEPT
}

ON EQUIPOUT {
 SET equipped 0
 ACCEPT
}

ON COMBINE {
  IF (^$PARAM1 ISCLASS "POTION_GREEN") {
  IF (poisonable == 0) { 
  SPEAK -p [player_weapon_not_poisonable] NOP
   ACCEPT
  }
  IF (^PLAYER_SKILL_OBJECT_KNOWLEDGE < 30) {
   SPEAK -p [player_not_skilled_enough] NOP
   HEROSAY [required_obj_30]
   ACCEPT
  }
  SENDEVENT CUSTOM ^$PARAM1 "EMPTY"
  SET #TMP ~^PLAYER_SKILL_OBJECT_KNOWLEDGE~
  DEC #TMP 27 // donc tmp est entre 3 et 73
  DIV #TMP 3 // donc tmp est entre 1 et 24
  SET_POISONOUS ~#TMP~ ~#TMP~
  SPEAK -p [player_weapon_poisoned] NOP
  ACCEPT
 }

  IF(^$PARAM1 ISCLASS "koltk_powder") {
   DESTROY ^$PARAM1
   SET #superweapon 1
   ADD_XP 6000 
   REPLACEME \\weapons\\sabre_Meteor\\sabre_Meteor
   ACCEPT 
  }
 IF (^$PARAM1 ISCLASS "DRAGON_EGG" ) {
  SPEAK -p [player_no] NOP
  ACCEPT
 }
 IF (enchanted == 1) { 
  SPEAK -p [player_no] NOP
  ACCEPT
 }
  IF (^$PARAM1 ISCLASS "bottle_blood" ) {
  SET reagent "bottle_blood"
  SENDEVENT CUSTOM ^$PARAM1 "EMPTY"
  HALO -olcs 0.52 0.25 0.24 34
  GOTO REGENTMIXED
  ACCEPT
 }

 IF (^$PARAM1 ISCLASS "GARLIC" ) {
  SET reagent "garlic"
  HALO -olcs 0.4 1 0.6 30
  GOTO REGENTMIXED
  ACCEPT
 }
 IF (^$PARAM1 ISCLASS "powder_bone" ) {
  SET reagent "powder_bone"
  HALO -olcs 1 0.5 0.05 30
  GOTO REGENTMIXED
  ACCEPT
 }
 IF (^$PARAM1 ISCLASS "dragon_bone_powder" ) {
  SET reagent "powder_dragon_bone"
  HALO -olcs 0.85 0.1 0.1 34 
  GOTO REGENTMIXED
  ACCEPT
 }
 IF (^$PARAM1 ISCLASS "golem_heart" ) {
  SET reagent "golem_heart"
  HALO -olcs 0.1 0.8 1 34
  GOTO REGENTMIXED
  ACCEPT
 }
  ACCEPT
 }

>>REGENTMIXED
 DESTROY ^$PARAM1
 TIMERoff 1 1 HALO -f
 SETNAME [description_sabre_mithril_ready]
 SPEAK -p [Player_off_interesting] NOP
 ACCEPT

ON SPELLCAST {
 IF (^$PARAM1 != ENCHANT_WEAPON) ACCEPT
 IF (enchanted == 1) { 
  SPEAK -p [player_no] NOP
  ACCEPT
 }
 IF (reagent == "none") { 
  SPEAK -p [player_wrong] NOP
  ACCEPT
 }
 PLAY -o "Magic_Spell_Enchant_Weapon"
 SET enchanted 1
 SETNAME [description_sabre_mithril]
 
 IF (reagent == "garlic") {
  HALO -olcs 0.4 1 0.6 30
  IF (^PLAYER_SKILL_OBJECT_KNOWLEDGE < 50) {
   SETEQUIP DEXTERITY 1
  }
  IF (^PLAYER_SKILL_OBJECT_KNOWLEDGE >= 50) {
   SETEQUIP DEXTERITY 2
  }
  SET tmp ~^PRICE~
  MUL tmp 1.5
  GOTO ENCHANTED
 }

 IF (reagent == "bottle_blood") {
  HALO -olcs 0.52 0.25 0.24 34
  IF (^PLAYER_SKILL_CASTING < 50) {
   SETEQUIP -s DRAINLIFE 2
  }
  IF (^PLAYER_SKILL_CASTING >= 50) {
   SETEQUIP -s DRAINLIFE 4
  }
  IF (^PLAYER_SKILL_CASTING >= 80) {
   SETEQUIP -s DRAINLIFE 6
  }
  SET tmp ~^PRICE~
  MUL tmp 2
  GOTO ENCHANTED
 } 

 IF (reagent == "powder_bone") {
  HALO -olcs 1 0.5 0.05 30
  SETEQUIP STRENGTH 1
  SET tmp ~^PRICE~
  MUL tmp 1.5
  GOTO ENCHANTED
 }
 IF (reagent == "powder_dragon_bone") {
  HALO -olcs 0.85 0.1 0.1 34 
  IF (^PLAYER_SKILL_CASTING < 50) {
   SETEQUIP STRENGTH 2
  } 
  IF (^PLAYER_SKILL_CASTING >= 50) {
   SETEQUIP STRENGTH 3
  } 
  SET tmp ~^PRICE~
  MUL tmp 2.5
  GOTO ENCHANTED
 }
 IF (reagent == "golem_heart") {
  HALO -olcs 0.1 0.8 1 34
  IF (^PLAYER_SKILL_CASTING < 50) {
   SETEQUIP -s PARALYSE 500
  }
  IF (^PLAYER_SKILL_CASTING >= 80) {
   SETEQUIP -s PARALYSE 3000
   SET tmp ~^PRICE~
   MUL tmp 2.5
   GOTO ENCHANTED
   ACCEPT
  }
  IF (^PLAYER_SKILL_CASTING >= 50) {
   SETEQUIP -s PARALYSE 1000
  }
  SET tmp ~^PRICE~
  MUL tmp 2.5
  GOTO ENCHANTED
 }
 ACCEPT
}

>>ENCHANTED
  SET_PRICE tmp
  UNSET tmp
  UNSET reagent
 // HALO -ocs 0 1 0 30
  ACCEPT
